Package io.github.jdbcx

# Interface ResultMapper

All Known Implementing Classes:
  `ClickHouseMapper`, `DefaultMapper`, `DuckDBMapper`

public interface ResultMapper

## Method Summary

Modifier and Type
Method
Description
`default String`
`quoteIdentifier(String name)`
`default String`
`toColumnDefinition(io.github.jdbcx.Field... fields)`
`String`
`toColumnType(io.github.jdbcx.Field f)`
`default String`
`toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)`

## Method Details

### quoteIdentifier

default String quoteIdentifier(String name)

### toColumnType

String toColumnType(io.github.jdbcx.Field f)

### toColumnDefinition

default String toColumnDefinition(io.github.jdbcx.Field... fields)

### toRemoteTable

default String toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)